Description

https://github.com/LukeMurphey/lookup-editor/issues/19#issuecomment-341699566

Associated revisions

Revision 473 - 11/06/2017 05:41 AM - lukemurphey

Making the _time field in CSV files represented as a time field

Closes #2129

History

#1 - 11/05/2017 07:18 AM - Luke Murphey

Might have to edit makeRowJSON() too to make sure the conversion back to the original integer is correct.

I think the best approach would be to make getColumnsMetadata() return meta-data for CSV files.

#2 - 11/05/2017 07:25 AM - Luke Murphey

- Status changed from New to In Progress

#3 - 11/06/2017 05:42 AM - Luke Murphey

- Status changed from In Progress to Closed

- % Done changed from 0 to 100

#4 - 11/06/2017 06:20 AM - Luke Murphey

- Status changed from Closed to In Progress

- % Done changed from 100 to 90

#5 - 11/06/2017 06:21 AM - Luke Murphey

When trying to remove a column I get the following error:

cannot remove column with object data source or columns option specified

#6 - 11/06/2017 06:58 AM - Luke Murphey

This couldn't be done with a custom renderer.

I don't know how to convert this back to a epoch time though. The default renderer can be made to show the time in a human readable format but

converting it back is a little difficult.

doSaveLookup() saves the lookup and I could wrap the getData() function to convert the values.
#7 - 11/06/2017 06:59 AM - Luke Murphey

Wrapping getData() works except that editing the cell causes it to convert to an integer.

#8 - 11/06/2017 05:14 PM - Luke Murphey

See https://docs.splunk.com/Documentation/Splunk/7.0.0/Admin/Transformsconf#transforms.conf.spec

time_field

time_format

If I want to use the strtime format, then I could use either of these:

https://github.com/Katochimoto/strptime

https://github.com/zaius/jdate

#9 - 11/06/2017 06:11 PM - Anonymous

- Status changed from In Progress to Closed

- % Done changed from 90 to 100

Applied in changeset lookup-editor|r473.
